#include "lapacknames.inc"
      MODULE LA_SCLAQGE
!
!  -- LAPACK3E module --
!     E. Anderson
!     May 9, 2002
!     01-15-03:  Renamed from LA_XLAQGE for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SCLAQGE defines a generic interface for xLAQGE.
!
      INTERFACE LA_LAQGE
 
      SUBROUTINE SLAQGE( M, N, A, LDA, R, C, ROWCND, COLCND, AMAX,
     $                   EQUED )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(OUT) :: EQUED
         INTEGER, INTENT(IN) :: LDA, M, N
         REAL(WP), INTENT(IN) :: AMAX, COLCND, ROWCND
         REAL(WP), INTENT(IN) :: C(*), R(*)
         REAL(WP), INTENT(INOUT) :: A(LDA,*)
      END SUBROUTINE SLAQGE
 
      SUBROUTINE CLAQGE( M, N, A, LDA, R, C, ROWCND, COLCND, AMAX,
     $                   EQUED )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(OUT) :: EQUED
         INTEGER, INTENT(IN) :: LDA, M, N
         REAL(WP), INTENT(IN) :: AMAX, COLCND, ROWCND
         REAL(WP), INTENT(IN) :: C(*), R(*)
         COMPLEX(WP), INTENT(INOUT) :: A(LDA,*)
      END SUBROUTINE CLAQGE
 
      END INTERFACE ! LA_LAQGE
 
      END MODULE LA_SCLAQGE
