#include "lapacknames.inc"
      MODULE LA_SCLAUUM
!
!  -- LAPACK3E module --
!     E. Anderson
!     July 29, 2002
!     01-15-03:  Renamed from LA_XLAUUM for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SCLAUUM defines a generic interface for xLAUUM
!
      INTERFACE LA_LAUUM
 
      SUBROUTINE SLAUUM( UPLO, N, A, LDA, INFO )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: UPLO
         INTEGER, INTENT(IN) :: LDA, N
         INTEGER, INTENT(OUT) :: INFO
         REAL(WP), INTENT(INOUT) :: A(LDA,*)
      END SUBROUTINE SLAUUM
 
      SUBROUTINE CLAUUM( UPLO, N, A, LDA, INFO )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: UPLO
         INTEGER, INTENT(IN) :: LDA, N
         INTEGER, INTENT(OUT) :: INFO
         COMPLEX(WP), INTENT(INOUT) :: A(LDA,*)
      END SUBROUTINE CLAUUM
 
      END INTERFACE ! LA_LAUUM
 
      END MODULE LA_SCLAUUM
