#include "lapacknames.inc"
      MODULE LA_CLAQHB
!
!  -- LAPACK3E module --
!     E. Anderson
!     May 9, 2002
!     01-15-03:  Renamed from LA_XLAQHB for common source (eca)
!
!  Purpose
!  =======
!
!  LA_CLAQHB defines a generic interface for xLAQHB.
!
      INTERFACE LA_LAQHB
 
      SUBROUTINE CLAQHB( UPLO, N, KD, AB, LDAB, S, SCOND, AMAX, EQUED )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: EQUED, UPLO
         INTEGER, INTENT(IN) :: KD, LDAB, N
         REAL(WP), INTENT(IN) :: AMAX, SCOND
         REAL(WP), INTENT(IN) :: S(*)
         COMPLEX(WP), INTENT(INOUT) :: AB(LDAB,*)
      END SUBROUTINE CLAQHB
 
      END INTERFACE ! LA_LAQHB
 
      END MODULE LA_CLAQHB
