#include "lapacknames.inc"
      MODULE LA_CLAQHP
!
!  -- LAPACK3E module --
!     E. Anderson
!     May 9, 2002
!     01-15-03:  Renamed from LA_XLAQHP for common source (eca)
!
!  Purpose
!  =======
!
!  LA_CLAQHP defines a generic interface for xLAQHP.
!
      INTERFACE LA_LAQHP
 
      SUBROUTINE CLAQHP( UPLO, N, AP, S, SCOND, AMAX, EQUED )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(IN) :: UPLO
         CHARACTER, INTENT(OUT) :: EQUED
         INTEGER, INTENT(IN) :: N
         REAL(WP), INTENT(IN) :: AMAX, SCOND
         REAL(WP), INTENT(IN) :: S(*)
         COMPLEX(WP), INTENT(INOUT) :: AP(*)
      END SUBROUTINE CLAQHP
 
      END INTERFACE ! LA_LAQHP
 
      END MODULE LA_CLAQHP
