#include "lapacknames.inc"
      MODULE LA_SCLAQGB
!
!  -- LAPACK3E module --
!     E. Anderson
!     May 9, 2002
!     01-15-03:  Renamed from LA_XLAQGB for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SCLAQGB defines a generic interface for xLAQGB.
!
      INTERFACE LA_LAQGB
 
      SUBROUTINE SLAQGB( M, N, KL, KU, AB, LDAB, R, C, ROWCND, COLCND,
     $                   AMAX, EQUED )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(OUT) :: EQUED
         INTEGER, INTENT(IN) :: KL, KU, LDAB, M, N
         REAL(WP), INTENT(IN) :: AMAX, COLCND, ROWCND
         REAL(WP), INTENT(IN) :: C(*), R(*)
         REAL(WP), INTENT(INOUT) :: AB(LDAB,*)
      END SUBROUTINE SLAQGB
 
      SUBROUTINE CLAQGB( M, N, KL, KU, AB, LDAB, R, C, ROWCND, COLCND,
     $                   AMAX, EQUED )
         USE LA_CONSTANTS, ONLY: WP
         CHARACTER, INTENT(OUT) :: EQUED
         INTEGER, INTENT(IN) :: KL, KU, LDAB, M, N
         REAL(WP), INTENT(IN) :: AMAX, COLCND, ROWCND
         REAL(WP), INTENT(IN) :: C(*), R(*)
         COMPLEX(WP), INTENT(INOUT) :: AB(LDAB,*)
      END SUBROUTINE CLAQGB
 
      END INTERFACE ! LA_LAQGB
 
      END MODULE LA_SCLAQGB
