#include "lapacknames.inc"
      MODULE LA_SCLATDF
!
!  -- LAPACK3E module --
!     E. Anderson
!     June 06, 2002
!     01-15-03:  Renamed from LA_XLATDF for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SCLATDF defines generic interfaces for xLATDF.
!
      INTERFACE LA_LATDF
 
      SUBROUTINE SLATDF( IJOB, N, Z, LDZ, RHS, RDSUM, RDSCAL, IPIV,
     $                   JPIV )
         USE LA_CONSTANTS, ONLY: WP
         INTEGER, INTENT(IN) :: IJOB, LDZ, N
         REAL(WP), INTENT(INOUT) :: RDSCAL, RDSUM
         INTEGER, INTENT(IN) :: IPIV(*), JPIV(*)
         REAL(WP), INTENT(INOUT) :: RHS(*)
         REAL(WP), INTENT(IN) :: Z(LDZ,*)
      END SUBROUTINE SLATDF
 
      SUBROUTINE CLATDF( IJOB, N, Z, LDZ, RHS, RDSUM, RDSCAL, IPIV,
     $                   JPIV )
         USE LA_CONSTANTS, ONLY: WP
         INTEGER, INTENT(IN) :: IJOB, LDZ, N
         REAL(WP), INTENT(INOUT) :: RDSCAL, RDSUM
         INTEGER, INTENT(IN) :: IPIV(*), JPIV(*)
         COMPLEX(WP), INTENT(INOUT) :: RHS(*)
         COMPLEX(WP), INTENT(IN) :: Z(LDZ,*)
      END SUBROUTINE CLATDF
 
      END INTERFACE ! LA_LATDF
 
      END MODULE LA_SCLATDF
