#include "lapacknames.inc"
      MODULE LA_SCTGEX2
!
!  -- LAPACK3E module --
!     E. Anderson
!     June 07, 2002
!     01-15-03:  Renamed from LA_XTGEX2 for common source (eca)
!
!  Purpose
!  =======
!
!  LA_SCTGEX2 defines generic interfaces for xTGEX2.
!
      INTERFACE LA_TGEX2
 
      SUBROUTINE STGEX2( WANTQ, WANTZ, N, A, LDA, B, LDB, Q, LDQ, Z,
     $                   LDZ, J1, N1, N2, WORK, LWORK, INFO )
         USE LA_CONSTANTS, ONLY: WP
         LOGICAL, INTENT(IN) :: WANTQ, WANTZ
         INTEGER, INTENT(IN) :: J1, LDA, LDB, LDQ, LDZ, LWORK, N, N1, N2
         INTEGER, INTENT(OUT) :: INFO
         REAL(WP), INTENT(INOUT) :: A(LDA,*), B(LDB,*), Q(LDQ,*),
     $                              Z(LDZ,*)
         REAL(WP), INTENT(OUT) :: WORK(*)
      END SUBROUTINE STGEX2
 
      SUBROUTINE CTGEX2( WANTQ, WANTZ, N, A, LDA, B, LDB, Q, LDQ, Z,
     $                   LDZ, J1, INFO )
         USE LA_CONSTANTS, ONLY: WP
         LOGICAL, INTENT(IN) :: WANTQ, WANTZ
         INTEGER, INTENT(IN) :: J1, LDA, LDB, LDQ, LDZ, N
         INTEGER, INTENT(OUT) :: INFO
         COMPLEX(WP), INTENT(INOUT) :: A(LDA,*), B(LDB,*), Q(LDQ,*),
     $                                 Z(LDZ,*)
      END SUBROUTINE CTGEX2
 
      END INTERFACE ! LA_TGEX2
 
      END MODULE LA_SCTGEX2
